INVERSESQRT(3G)

NAME
inversesqrt - return the inverse of the square root of the parameter

DECLARATION

genType inversesqrt(genType x);

genDType inversesqrt(genDType x);

PARAMETERS

x
    Specify the value of which to take the inverse of the square root.

DESCRIPTION

inversesqrt returns the inverse of the square root of $x$; i.e. the value $1 \over { \sqrt x }$. The result is undefined if $x \leq 0$.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
inversesqrt (genType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
inversesqrt (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

pow(), sqrt()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group